# MatColoringRegisterAll

Registers all of the matrix coloring routines in PETSc.

### Synopsis

    PetscErrorCode MatColoringRegisterAll(const char path[])

Not Collective

### Adding new methods

To add a new method to the registry. Copy this routine and modify it to incorporate a call to MatColoringRegisterDynamic() for the new method, after the current list.

Restricting the choices: To prevent all of the methods from being registered and thus save memory, copy this routine and modify it to register a zero, instead of the function name, for those methods you do not wish to register. Make sure that the replacement routine is linked before libpetscmat.a.

### Keywords

matrix, coloring, register, all

### See Also

MatColoringRegisterDynamic(), MatColoringRegisterDestroy()

Level:developer
Location:src/mat/color/scolor.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages